# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class CalendarEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<CalendarEntry>
                  com.google.gdata.data.calendar.CalendarEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class CalendarEntry

extends BaseEntry<CalendarEntry>

This represents a single calendar in a list of calendars. Use CalendarEventEntry to represent a single event from a calendar.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CalendarEntry()` Constructs a new CalendarEntry instance
`CalendarEntry(BaseEntry sourceEntry)` Constructs a new CalendarEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Summary
`void` `addLocation(Where location)` Adds a new calendar location.
`void` `declareExtensions(ExtensionProfile extProfile)` Initializes an ExtensionProfile based upon the extensions expected by an EventEntry.
`AccessLevelProperty` `getAccessLevel()` Returns the calendar accesslevel.
`ColorProperty` `getColor()` Returns the calendar color.
`HiddenProperty` `getHidden()` Returns the calendar hidden property.
`java.util.List<Where>` `getLocations()` Returns the list of calendar locations
`OverrideNameProperty` `getOverrideName()` Returns the override name property.
`SelectedProperty` `getSelected()` Returns the calendar selected property.
`TimesCleanedProperty` `getTimesCleaned()` Returns the calendar timesCleaned property.
`TimeZoneProperty` `getTimeZone()` Returns the calendar timeZone property.
`void` `setAccessLevel(AccessLevelProperty accesslevel)` Sets the calendar accesslevel.
`void` `setColor(ColorProperty color)` Sets the calendar color.
`void` `setHidden(HiddenProperty hidden)` Sets the calendar hidden property.
`void` `setOverrideName(OverrideNameProperty name)` Sets the override name property.
`void` `setSelected(SelectedProperty selected)` Sets the calendar selected property.
`void` `setTimesCleaned(TimesCleanedProperty timesCleaned)` Sets the calendar timesCleaned property.
`void` `setTimeZone(TimeZoneProperty timeZone)` Sets the calendar timeZone property.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarEntry

    public CalendarEntry()

  Constructs a new CalendarEntry instance

### CalendarEntry

    public CalendarEntry(BaseEntry sourceEntry)

  Constructs a new CalendarEntry instance by doing a shallow copy of data from an existing BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Initializes an ExtensionProfile based upon the extensions expected by an EventEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getLocations

    public java.util.List<Where> getLocations()

  Returns the list of calendar locations

### addLocation

    public void addLocation(Where location)

  Adds a new calendar location.

### getAccessLevel

    public AccessLevelProperty getAccessLevel()

  Returns the calendar accesslevel.

### setAccessLevel

    public void setAccessLevel(AccessLevelProperty accesslevel)

  Sets the calendar accesslevel.

### getColor

    public ColorProperty getColor()

  Returns the calendar color.

### setColor

    public void setColor(ColorProperty color)

  Sets the calendar color.

### getHidden

    public HiddenProperty getHidden()

  Returns the calendar hidden property.

### setHidden

    public void setHidden(HiddenProperty hidden)

  Sets the calendar hidden property.

### getOverrideName

    public OverrideNameProperty getOverrideName()

  Returns the override name property.

### setOverrideName

    public void setOverrideName(OverrideNameProperty name)

  Sets the override name property.

### getSelected

    public SelectedProperty getSelected()

  Returns the calendar selected property.

### setSelected

    public void setSelected(SelectedProperty selected)

  Sets the calendar selected property.

### getTimeZone

    public TimeZoneProperty getTimeZone()

  Returns the calendar timeZone property.

### setTimeZone

    public void setTimeZone(TimeZoneProperty timeZone)

  Sets the calendar timeZone property.

### getTimesCleaned

    public TimesCleanedProperty getTimesCleaned()

  Returns the calendar timesCleaned property.

### setTimesCleaned

    public void setTimesCleaned(TimesCleanedProperty timesCleaned)

  Sets the calendar timesCleaned property.